@echo off

setlocal

rem 
rem Set JAVA_HOME and J2EE_HOME before running this script.
rem 
rem set JAVA_HOME to the path where you have Java 2 installed.
rem
rem set J2EE_HOME to the path where you have installed this package (EJB server).
rem

set BUNDLE_HOME=%~dp0..\..
set SYNCSERVER_HOME=%BUNDLE_HOME%\{syncserver.home}

set JAVA_HOME=%BUNDLE_HOME%\tools\jre-1.5.0\jre
set J2EE_HOME=%BUNDLE_HOME%\tools\tomcat
set CATALINA_HOME=%J2EE_HOME%

cd "%BUNDLE_HOME%"

if EXIST "%J2EE_HOME%" goto CONT0
echo ERROR: "%BUNDLE_HOME%" does not seem to  a valid Funambol bundle (missing "%J2EE_HOME%")
goto END
:CONT0

if EXIST "%JAVA_HOME%" goto CONT1
echo ERROR: "%BUNDLE_HOME%" does not seem to  a valid Funambol bundle (missing "%JAVA_HOME%").
goto END
:CONT1

if EXIST "tools\bin\startall.cmd" goto CONT2
echo ERROR: "%BUNDLE_HOME%" does not seem to  a valid Funambol bundle (missing tools\bin\startall.cmd)
goto END
:CONT2

REM
REM Other settings
REM

set JAVA_OPTS=%JAVA_OPTS% -Dfunambol.ds.home="%SYNCSERVER_HOME%" -Dfile.encoding=UTF-8 -Xmx512M
set JAVA_OPTS=%JAVA_OPTS% -Djava.library.path="%SYNCSERVER_HOME%\lib\win32"

set JPDA_TRANSPORT=dt_socket
set JPDA_ADDRESS=8787

cd "%J2EE_HOME%\bin"

REM
REM Run Hypersonic
REM
start "Hypersonic" "%JAVA_HOME%\bin\javaw" org.hsqldb.Server -database.0 "%BUNDLE_HOME%\tools\hypersonic\data\funambol" -dbname.0 funambol

REM
REM Run Tomcat for normal use
REM
call catalina.bat start

REM
REM Run Tomcat for debug
REM
REM call catalina.bat jpda start

cd "%SYNCSERVER_HOME%\bin"

start fnblstatus.exe "%SYNCSERVER_HOME%"

REM
REM Run Inbox listener
REM
cd "%BUNDLE_HOME%\inbox-listener\bin"
call inboxlistener.cmd start

REM
REM Run PIM listener
REM
cd "%BUNDLE_HOME%\pim-listener\bin"
call pimlistener.cmd start

:END
endlocal
