#!/bin/sh

#
# Set JAVA_HOME and J2EE_HOME before running this script.
#
# set JAVA_HOME to the path where you have Java 2 installed.
#
# set J2EE_HOME to the path where you have installed Tomcat.
#

if [ -z $JAVA_HOME ]
then
    echo "Please, set JAVA_HOME before running this script."
    exit;
fi

if [ -z $J2EE_HOME ]
then
    echo "Please, set J2EE_HOME to the path of a valid Tomcat installation."
    exit;
fi

if [ ! -f bin/start.sh ]
then
    echo "Please, start this script from the Funambol Server home directory."
    exit;
fi

#
# Other settings
#
export LANG=en_US.utf-8

FUNAMBOL_HOME=$PWD
JAVA_OPTS="-Djava.security.auth.login.config=$J2EE_HOME/conf/serverlogin.config -Dfile.encoding=UTF-8 -Dfunambol.ds.home=$FUNAMBOL_HOME -Xmx512M"
JAVA_OPTS="$JAVA_OPTS -Djava.library.path=$FUNAMBOL_HOME/lib/linux"

export JAVA_OPTS;

#
# This is for debug. Use the debug starting command line below
#
export JPDA_OPTS="-Xdebug -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n"

cd $J2EE_HOME/bin

#
# Run Tomcat for normal use
#
sh ./catalina.sh start

#
# Run Tomcat for debug
#
#sh ./catalina.sh jpda start

