/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.engine;

/**
 * Represents a SyncBean property
 *
 * @version $Id: SyncProperty.java,v 1.3 2007/01/11 11:48:50 nichele Exp $
 */
public class SyncProperty implements java.io.Serializable {

    // -------------------------------------------------------------- Properties

    /**
     * The property name
     */
    private String name = null;
    public String getName(){
        return this.name;
    }

    public void setName(String name){
        this.name = name;
    }

    /**
     * The property type
     */
    private String type = null;
    public String getType(){
        return type;
    }

    public void setType(String type){
        this.type = type;
    }

    /**
     * Is the property a key?
     */
    private boolean key = false;
    public boolean isKey(){
        return key;
    }

    /**
     * The property value
     */
    private Object value = null;
    public Object getValue(){
        return value;
    }

    public void setValue(Object value){
        this.value = value;
    }

    public String toString() {
        return String.valueOf(value);
    }

    // ------------------------------------------------------------- Contructors

    public SyncProperty(String name, Object value) {
        this(name, value, value.getClass().getName());
    }

    public  SyncProperty(String name, Object value, String type) {
        this.name  = name;
        this.value = value;
        this.type  = type;
    }
}
