/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.engine.pipeline;

import com.funambol.framework.core.Sync4jException;
import com.funambol.framework.core.SyncML;

/**
 * A <i>OutputMessageProcessor<i> is a class that process the output message.
 *
 * @version $Id: OutputMessageProcessor.java,v 1.3 2007/01/11 11:48:50 nichele Exp $
 */
public interface OutputMessageProcessor {

    // ---------------------------------------------------------- Public methods

    /** 
     * Process and manipulate the output message.
     *
     * @param processingContext the message processing context
     * @param message the message to be processed
     * @throws Sync4jException
     */    
    public void postProcessMessage(MessageProcessingContext processingContext, SyncML message) throws Sync4jException;

}