/*
 * StopProcessingException.java
 *
 * Created on August 4, 2004, 11:31 AM
 */

package com.funambol.framework.engine.pipeline;

import com.funambol.framework.core.Sync4jException;

/**
 * This exception is used by message processing pipeline components to tell the
 * pipeline manager that the processing of the next components should be skipped.
 * Note that this is a suggestion for the manager, who could determine to 
 * execute anyway the components following in the pipeline. See the documentation
 * of the manager to see how the StopProcessingException is handled.
 *
 *
 *
 * @version $Id: StopProcessingException.java,v 1.1 2006/01/18 17:00:07 luigiafassina Exp $
 */
public class StopProcessingException extends Sync4jException {
    
    /** 
     * Creates a new instance of StopProcessingException 
     *
     * @param msg additional information to provide to the manager
     */
    public StopProcessingException(String msg) {
        super(msg);
    }
}
