/**
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.engine.source;

import com.funambol.framework.engine.SyncItem;
import com.funambol.framework.engine.SyncItemKey;


/**
 * A <i>SyncSource</i> that supports the merge of the items.
 *
 * @version $Id: MergeableSyncSource.java,v 1.4 2007/02/20 18:48:18 nichele Exp $
 */
public interface MergeableSyncSource extends SyncSource {

    // ---------------------------------------------------------- Public Methods

    /**
     * Merges server item and client item.
     *
     * @param syncItemKey the item's key on the server
     * @param syncItem the item on the client
     *
     * @throws SyncSourceException
     *
     * @return true is the content of the client item is changed
     */
    public boolean mergeSyncItems(SyncItemKey syncItemKey,
                                  SyncItem    syncItem) throws SyncSourceException;

}
