/**
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.engine.source;



/**
 * This class contains the informations about the exception thrown on server on an
 * admin action. The class is encoded and sent to admin.
 *
 * @version $Id: SyncSourceErrorDescriptor.java,v 1.3 2007/01/11 11:48:50 nichele Exp $
 *
 */
public class SyncSourceErrorDescriptor {

    //------------------------------------------------------------------Private data
    private String uri;
    private String config;
    private String description;
    private String fullStackTrace;

    //-------------------------------------------------------------------Constructor
    public SyncSourceErrorDescriptor(String uri,
                                     String config,
                                     String description,
                                     String fullStackTrace) {
        this.uri = uri;
        this.config = config;
        this.description = description;
        this.fullStackTrace = fullStackTrace;
    }

    public SyncSourceErrorDescriptor() {
        this.uri = null;
        this.config = null;
        this.description = null;
        this.fullStackTrace = null;
    }


    //----------------------------------------------------------------Public methods
    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public String getConfig() {
        return config;
    }

    public void setConfig(String config) {
        this.config = config;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getFullStackTrace() {
        return fullStackTrace;
    }

    public void setFullStackTrace(String fullStackTrace) {
        this.fullStackTrace = fullStackTrace;
    }


}

