/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.filter;

import org.apache.commons.lang.builder.ToStringBuilder;

import java.io.Serializable;

import com.funambol.framework.core.Property;

/**
 * This class represents a clause on a field.
 *
 * @version $Id: FieldClause.java,v 1.3 2007/01/11 11:48:50 nichele Exp $
 *
 */
public class FieldClause implements Clause, Serializable  {

    private Property property;

    public void setProperty(Property property) {
        this.property = property;
    }

    public Property getProperty() {
        return property;
    }

    // ------------------------------------------------------------ Constructors

    public FieldClause() {
    }

    public FieldClause(Property property) {
        this.property = property;
    }

    // ---------------------------------------------------------- Public Methods

    public String toString() {
        ToStringBuilder sb = new ToStringBuilder(this);
        sb.append("property:",  property);
        return sb.toString();
    }

}
