/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.filter;

import java.io.Serializable;

/**
 * This class recognize the clause of type logical for the filter.
 * For logical clause mean AND, OR, NOT clause.
 *
 * @version $Id: FilterClause.java,v 1.3 2007/01/11 11:48:50 nichele Exp $
 */
public class FilterClause implements Serializable {

    // --------------------------------------------------------------- Constants

    // ------------------------------------------------------------ Private data

    /**
     * The clause
     */
    private LogicalClause clause;

    private boolean inclusive = false;


    // ----------------------------------------------------------- Getter/Setter
    public void setInclusive(boolean isInclusive) {
        this.inclusive = isInclusive;
    }

    public boolean isInclusive() {
        return inclusive;
    }

    public boolean isExclusive() {
        return !inclusive;
    }

    public void setClause(LogicalClause clause) {
        this.clause = clause;
    }

    public LogicalClause getClause() {
        return clause;
    }

}
