/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.filter;

import java.io.Serializable;

/**
 * This class represents selection clause of a filter.
 *
 *
 * @version $Id: IDClause.java,v 1.3 2007/01/11 11:48:50 nichele Exp $
 *
 */
public class IDClause extends WhereClause implements Serializable {

    // ------------------------------------------------------- Private constants

    private static final String ID_FIELD = "ID";

    /**
     * The default constructor is not intended to be used.
     */
    public IDClause() {
        this(null, null, false);
    }

    public IDClause(String[] values, String operator, boolean caseSensitive) {
        super(ID_FIELD, values , operator, caseSensitive);
    }

    // ---------------------------------------------------------- Public methods

    /**
     * Setter for property property.
     * @param property New value of property property.
     */
    public void setProperty(String property) {
        if (property == null || !property.equals(ID_FIELD)) {
            throw new IllegalArgumentException("You can set the property only to '" + ID_FIELD + "'");
        }
    }

}
