/**
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.logging;

/**
 * Represents an appender type and contains a class name and a management panel
 * class. It's used to provide to the admin the management panel for an appender
 * type.
 * @version $Id: AppenderType.java,v 1.2 2007/01/11 11:48:50 nichele Exp $
 */
public class AppenderType {

    // -------------------------------------------------------------- Properties

    /** The class of the appender */
    private String className       = null;

    /**
     * Returns the className
     * @return the className
     */
    public String getClassName() {
        return className;
    }

    /**
     * Sets the className
     * @param className the className to st 
     */
    public void setClassName(String className) {
        this.className = className;
    }

    /** The management panel class name */
    private String managementPanel = null;


    /**
     * Returns the class name of the management panel
     * @return the class name of the management panel
     */
    public String getManagementPanel() {
        return managementPanel;
    }

    /**
     * Sets the class name of the management panel
     * @param managementPanel the class name of the management panel
     */
    public void setManagementPanel(String managementPanel) {
        this.managementPanel = managementPanel;
    }

    /**
     * Creates a new instance of AppenderType
     * @param className the class name
     * @param managementPanel the class name of the management panel
     */
    public AppenderType(String className, String managementPanel) {
        this.className       = className;
        this.managementPanel = managementPanel;
    }

    /**
     * Creates a new instance of AppenderType
     */
    public AppenderType() {
    }
}
