/**
 * Copyright (C) 2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.notification;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * Represents a message to send
 * @version $Id: Message.java,v 1.1 2007/01/10 17:16:57 nichele Exp $
 */
public class Message {

    public enum Type {
        STANDARD_1_2_NOTIFICATION_MESSAGE_TYPE,
        STANDARD_1_1_NOTIFICATION_MESSAGE_TYPE
    }

    // -------------------------------------------------------------- Properties

    /** The message type */
    private Type   messageType;

    public Type getMessageType() {
        return messageType;
    }

    public void setMessageType(Type messageType) {
        this.messageType = messageType;
    }

    /** The message content */
    private byte[] messageContent;

    public byte[] getMessageContent() {
        return messageContent;
    }

    public void setMessageContent(byte[] messageContent) {
        this.messageContent = messageContent;
    }

    /** Creates a new instance of Message */
    public Message(Type type, byte[] message) {
        this.messageType    = type;
        this.messageContent = message;
    }

    public String toString() {
        ToStringBuilder sb = new ToStringBuilder(this);
        sb.append("type"          , messageType);
        sb.append("messageContent", messageContent);
        return sb.toString();
    }


}
