/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.notification.sender;

import com.funambol.framework.notification.Message;
import com.funambol.framework.notification.NotificationException;
import com.funambol.framework.server.Sync4jDevice;

/**
 * The component that performs the message delivery.
 *
 * @version  $Id: Sender.java,v 1.5 2007/01/11 11:48:50 nichele Exp $
 */
public interface Sender {

    // --------------------------------------------------------------- Constants
    

    // ---------------------------------------------------------- Public Methods

    /**
     * Sends the given message to the device with the given phone number.
     *
     * @param device the recipient of the message
     * @param message  the message to be sent
     * @throws NotificationException
     */
    void sendNotificationMessage(Sync4jDevice device, Message message)
    throws NotificationException;
}
