/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.protocol;

/**
 * This interface specifies an id generator. The <i>next()</i> method returns the
 * newest generated id, whilst <i>current()</i> returns the latest generated id.
 * <p>
 *
 *
 * @version $Id: IdGenerator.java,v 1.3 2007/01/11 11:48:50 nichele Exp $
 */
public interface IdGenerator {

  /**
   * Returns a new generated id.
   *
   * @return a new generated id.
   */
  public String next();

  /**
   * Reset the generator to 0.
   */
  public void reset();

  /**
   * Returns the last generated id (which is the current id).
   *
   * @return the last generated id
   */
  public String current();
}