/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.server;

import com.funambol.framework.core.DevInf;

import java.io.Serializable;

/**
 * This class represents a phone's capabilities
 *
 * @version $Id: Capabilities.java,v 1.4 2007/01/11 11:48:51 nichele Exp $
 */

    // ------------------------------------------------------------ Private data
public class Capabilities implements Serializable {

    private Long id;
    private DevInf devInf;

    // ------------------------------------------------------------- Costructors

    /** Creates a new instance of Capabilities */
    public Capabilities() {
        this.id     = null;
        this.devInf = null;
    }

    /**
     * Creates a new instance of Capabilities
     * @param id the capabilities identification number
     * @param devInf informations about device's capabilities
     */
    public Capabilities(Long id, DevInf devInf) {
        this.id     = id;
        this.devInf = devInf;
    }

    /**
     * Getter for the id property.
     * @return value of property id
     */
    public Long getId() {
        return id;
    }

    /**
     * Setter for the id property
     * @param id New value of id property
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * Getter for the devInf property
     * @return value of the devInf property
     */
    public DevInf getDevInf() {
        return devInf;
    }

    /**
     * Setter for the devInf property
     * @param devInf New value of the devInf property
     */
    public void setDevInf(DevInf devInf) {
        this.devInf = devInf;
    }

}
