/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.server.inventory;

import com.funambol.framework.core.Sync4jException;

/**
 * Exception class thrown in DeviceInventory interface
 * @see DeviceInventory
 *
 * @version $Id: DeviceInventoryException.java,v 1.3 2007/01/11 11:48:59 nichele Exp $
 */
public class DeviceInventoryException
        extends Sync4jException {

    /**
     * Constructs a new exception with the specified detail message
     * @param s human readable String that describes the cause of the exception
     *
     */
    public DeviceInventoryException(final String s)
    {
        super(s);
    }

    /**
     * Constructs a new exception with the specified detail message and cause
     * @param s the detail message
     * @param throwable the cause
     */
    public DeviceInventoryException(final String s,final Throwable throwable)
    {
        super(s, throwable);
    }

    /**
     * Constructs a new exception with the specified cause
     * @param throwable  the cause
     */
    public DeviceInventoryException(final Throwable throwable)
    {
        super(throwable);
    }
}
