/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.tools;

import java.lang.reflect.Array;


/**
 * Collection of tools for the server
 *
 *
 * @version $Id: ArrayUtils.java,v 1.3 2007/01/11 11:48:59 nichele Exp $
 */
public class ArrayUtils {

    /**
     * Merges the two given arrays in a single array, putting the elements of
     * the former array first and the elements of the latter array. The returned
     * array will be of the type specified by <i>elementClass</i>
     *
     * @param a the former array - NULL
     * @param b the latter array - NULL
     * @param elementType the class of the elements
     *
     * @return an array containing the elements of <i>a</i> and <i>b</i>
     */
    public static Object mergeArrays(Object[] a, Object[] b, Class elementType) {

        int size = 0;

        if (a != null) size += a.length;
        if (b != null) size += b.length;

        Object newArray = Array.newInstance(elementType, size);

        int newArrayPos = 0;
        if (a != null) {
            System.arraycopy(a, 0, newArray, newArrayPos, a.length);
            newArrayPos = a.length;
        }

        if (b != null) {
            System.arraycopy(b, 0, newArray, newArrayPos, b.length);
        }

        return newArray;

    }

}
