/**
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.tools.beans;

import java.io.File;
import java.io.IOException;
import java.net.*;

/**
 * This is the class loader to be used to read configuration information and
 * server-side JavaBeans persisted as XML streams.
 *
 * @version $Id: BeanClassLoader.java,v 1.2 2007/01/11 11:48:59 nichele Exp $
 */
public class BeanClassLoader extends java.net.URLClassLoader {

    /**
     * Creates a new instance of BeanClassLoader.
     * @param url the url to use to create the super class (URLClassLoader)
     * @param parent the parent class loader
     */
    public BeanClassLoader(URL url, ClassLoader parent) {
        super(new URL[] {url}, parent);
    }

    /**
     * Creates a new instance of BeanClassLoader.
     * @param urls the urls to use to create the super class (URLClassLoader)
     * @param parent the parent class loaded
     */
    public BeanClassLoader(URL[] urls, ClassLoader parent) {
        super(urls, parent);
    }

    /**
     * Returns a string representation of the class loader
     * @return a string representation of the class loader
     */
    public String toString() {
        URL[] urls = getURLs();

        StringBuffer sb = new StringBuffer(getClass().getName());
        sb.append(" for: ");
        for (int i=0; ((urls != null) && (i<urls.length)); ++i) {
            sb.append(urls[i].toString()).append(' ');
        }

        return sb.toString();
    }

    // --------------------------------------------------------- Private methods

}