/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.server.admin;

/**
 * This exception class represents an error condition in the management domain.
 * Note this is not the case of low level server errors such as database errors,
 * but it is for high level errors like "user already present" or "you can't
 * do this if you do not do that first".
 *
 * Note also, that the message exception should be a human, final user readeable
 * message (it must be meaningfull for the end user). 
 *
 *
 * @version $Id: AdminException.java,v 1.3 2007/01/11 11:49:00 nichele Exp $
 */
public class AdminException extends Exception {
    
    /** Creates a new instance of AdminException */
    public AdminException() {
        super();
    }
    
    /** Creates a new instance of AdminException */
    public AdminException(String msg) {
        super(msg);
    }
    
    /** Creates a new instance of AdminException */
    public AdminException(String msg, Throwable cause) {
        super(msg, cause);
    }
}