/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.server.admin;

import com.funambol.framework.filter.Clause;

import com.funambol.framework.server.Sync4jUser;
import com.funambol.framework.server.store.PersistentStoreException;

/**
 * A <i>UserManager</i> is a class that manager users and roles.
 *
 *
 *
 * @version $Id: UserManager.java,v 1.4 2007/01/11 11:49:00 nichele Exp $
 */
public interface UserManager {

    // --------------------------------------------------------------- Constants
    public static final String ROLE_ADMIN = "sync_administrator";	
    public static final String ROLE_USER  = "sync_user";	
    
    // ---------------------------------------------------------- Public methods
    public String[] getRoles() throws PersistentStoreException;

    public Sync4jUser[] getUsers(Clause clause) throws PersistentStoreException;

    public void getUser(Sync4jUser user) throws PersistentStoreException;

    public void getUserRoles(Sync4jUser user) throws PersistentStoreException;

    public void setUser(Sync4jUser user) throws PersistentStoreException;

    public void insertUser(Sync4jUser user) throws PersistentStoreException;

    public void deleteUser(Sync4jUser user) throws PersistentStoreException;

    public int countUsers(Clause clause) throws PersistentStoreException;
    
    public boolean isUniqueAdministrator(Sync4jUser user) throws PersistentStoreException;
}
