/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.server.config;

/**
 * This interface groups configuration related constants.
 *
 *
 * @version $Id: ConfigurationConstants.java,v 1.3 2007/01/28 22:30:34 nichele Exp $
 */
public interface ConfigurationConstants {
    public static final String CONFIG_PATH                      = java.io.File.separator + "config";
    public static final String PROPERTY_SYSTEM_FUNAMBOL_DS_HOME = "funambol.ds.home";
    public static final String BEAN_SERVER_CONFIGURATION        = "Funambol.xml";

    /** The scan period of the directory monitor */
    public static final long DIRECTORY_MONITOR_SCAN_PERIOD = 10000;  // 30 seconds

    /** The path of the logging configuration */
    public static final String PATH_LOGGING = "com/funambol/server/logging";

    /** The path of the loggers */
    public static final String PATH_LOGGER = PATH_LOGGING + "/logger";

    /** The path of the appenders */
    public static final String PATH_APPENDER = PATH_LOGGING + "/appender";

    /** The path of the appender type*/
    public static final String PATH_APPENDER_TYPE = PATH_APPENDER + "/appender-type";

    /** The path of the persistent stores */
    public static final String PATH_PERSISTENT_STORE = "com/funambol/server/store";

    /** The path of the synclets */
    public static final String PATH_SYNCLET = "com/funambol/server/engine/pipeline";

    /** The path of the input processor */
    public static final String PATH_SYNCLET_INPUT = PATH_SYNCLET + "/input";

    /** The path of the output processor */
    public static final String PATH_SYNCLET_OUTPUT = PATH_SYNCLET + "/output";
}
