/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.server.engine;

import com.funambol.framework.core.ModificationCommand;
import com.funambol.framework.core.StatusCode;
import com.funambol.framework.engine.SyncOperation;
import com.funambol.framework.engine.source.SyncSource;
import com.funambol.server.engine.Sync4jOperationStatus;

/**
 * This class represents a SyncOperation excecuted without problems.
 *
 *
 * @version $Id: Sync4jOperationStatusOK.java,v 1.3 2007/01/11 11:49:00 nichele Exp $
 */
public class Sync4jOperationStatusOK extends Sync4jOperationStatus {

    /** Creates a new instance of Sync4jOperationStatus */
    public Sync4jOperationStatusOK(SyncOperation       operation ,
                                   SyncSource          syncSource,
                                   ModificationCommand cmd       ) {
        super(operation, syncSource, cmd, StatusCode.OK);
    }

    public Sync4jOperationStatusOK(SyncOperation       operation ,
                                   SyncSource          syncSource,
                                   ModificationCommand cmd       ,
                                   int                 statusCode) {
        super(operation, syncSource, cmd, statusCode);
    }

}
