/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.server.tools;

import com.funambol.framework.protocol.IdGenerator;
import com.funambol.framework.server.store.*;

/**
 * <br/>This class works as a simple id generator that read its values from the datastore
 *
 * @deprecated This generator is replaced, starting from v6, by
 *             <code>com.funambol.server.tools.id.DBIDGenerator</code>
 *             See the design document for the right way to use this new generator
 *
 * @version $Id: GUIDGenerator.java,v 1.6 2007/01/18 10:12:47 nichele Exp $
 */
public class GUIDGenerator extends IdSpaceGenerator
implements IdGenerator, java.io.Serializable {

    // --------------------------------------------------------------- Constants
    private static final String ID_SPACE = "guid";

    // -------------------------------------------------------------- Properties

    // ------------------------------------------------------------ Constructors

    /**
     * Creates a new instance of IdSpaceGenerator
     *
     * @param idSpace the id space
     */
    public GUIDGenerator() {
        super(ID_SPACE);
    }
}
